Loading...
Searching...
No Matches
sensors::StateSensor::State Struct Reference

Sensor state. More...

`import "StateSensor.idl";`

## Public Attributes

time | timestamp
| UNIX timestamp (UTC) of last sample.
boolean | available
| `true` if the sensor is available
int | value
| Discrete sensor value; intrepretation depends on the type of sensor.

## Detailed Description

Sensor state.

Definition at line 46 of file StateSensor.idl.

## Member Data Documentation

## available

boolean sensors::StateSensor::State::available

`true` if the sensor is available

Definition at line 48 of file StateSensor.idl.

## timestamp

time sensors::StateSensor::State::timestamp

UNIX timestamp (UTC) of last sample.

Definition at line 47 of file StateSensor.idl.

## value

int sensors::StateSensor::State::value

Discrete sensor value; intrepretation depends on the type of sensor.

Definition at line 49 of file StateSensor.idl.

The documentation for this struct was generated from the following file:

- StateSensor.idl